Bug 1256727 - [Docs] [REST] Typo in JSON example in Cloudforms Documentation, chapter 3.8.8
[Docs] [REST] Typo in JSON example in Cloudforms Documentation, chapter 3.8.8
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.6.0
All All
medium Severity low
: Beta 2
: 5.6.0
Assigned To: Dayle Parker
Red Hat CloudForms Documentation
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 06:50 EDT by Roland Wolters
Modified: 2016-05-19 17:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 17:46:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2015-08-25 06:50:08 EDT
Description of problem:
Cloudforms documentation, chapter 3.8.8 has a JSON example for deleting multiple vms. However, the JSON example is not valid JSON.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Validate the JSON example.

Steps to Reproduce:
1. open https://access.redhat.com/documentation/en-US/Red_Hat_CloudForms/3.2/html-single/Red_Hat_CloudForms_REST_API/index.html
2. look at json example for deleting multiple machines
3. observe the missing curly brackets around the objects in the array

Actual results:
Invalid JSON

Expected results:
Valid JSON

Additional info:
The example should look like this:
{
  "action" : "delete",
  "resources" : [
    {"href" : "https://hostname/api/vms/348"},
    {"href" : "https://hostname/api/vms/349"},
    {"href" : "https://hostname/api/vms/3"}
  ]
}
Comment 1 Andrew Dahms 2016-03-14 09:20:38 EDT
Hi Roland,

Thank you for raising this bug.

Moving to the Red Hat CloudForms documentation queue so that this bug can be addressed as part of work on that documentation suite.

Kind regards,

Andrew
Comment 3 Lucy Bopf 2016-04-29 00:02:44 EDT
Assigning to Dayle for review.
Comment 4 Dayle Parker 2016-05-02 20:02:25 EDT
I've fixed the "Deleting multiple virtual machines" JSON example in the following branches/versions, directly in Gitlab:

* 4.1 (master)
* 4.0
* 3.2

These will show up in the next build of these guides.
Comment 5 Dayle Parker 2016-05-05 02:33:54 EDT
The 4.0 version with fixes has been published to Customer Portal: https://access.redhat.com/documentation/en/red-hat-cloudforms/version-4.0/red-hat-cloudforms-rest-api/

3.2 version republish is pending.
Comment 6 Dayle Parker 2016-05-19 17:46:47 EDT
This is now live in the 3.2 version of the REST API Guide:
https://access.redhat.com/documentation/en/red-hat-cloudforms/version-4.0/red-hat-cloudforms-rest-api/#delete-vms

Note You need to log in before you can comment on or make changes to this bug.